#ifndef KINECTNITESOURCEPLUGINFACTORY_H__
#define KINECTNITESOURCEPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class KinectNITESourcePluginFactory : public QObject, public ritk::SourcePluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::SourcePluginFactory)

public:
	/// Constructor
	KinectNITESourcePluginFactory();
	/// Destructor
	~KinectNITESourcePluginFactory();

	/// Create an instance of the source plugin
	ritk::SourcePlugin* CreateInstance();

	/// Return the name of the player plugin
	QString GetName();

	/// Return a short description for this player plugin
	QString GetDescription();
};


#endif // KINECTNITESOURCEPLUGINFACTORY_H__
